package com.jianshui.invoice.domain;

import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import net.logstash.logback.encoder.org.apache.commons.lang3.builder.ToStringBuilder;
import net.logstash.logback.encoder.org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 发票URL存储对象 invoice_file
 * 
 * @author kk
 * @date 2023-12-04
 */
public class InvoiceFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private String id;

    /** 文件id */
    @Excel(name = "文件id")
    private String fileId;

    /** 文件名字 */
    @Excel(name = "文件名字")
    private String fileName;

    /** 文件流 */
    @Excel(name = "文件流")
    private String fileContent;

    /** 创建企业 */
    @Excel(name = "创建企业")
    private String identity;

    /** 税号 */
    @Excel(name = "税号")
    private String tax;

    @Excel(name = "发票号码")
    private String fphm;

    public String getFphm() {
        return fphm;
    }

    public void setFphm(String fphm) {
        this.fphm = fphm;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setFileId(String fileId) 
    {
        this.fileId = fileId;
    }

    public String getFileId() 
    {
        return fileId;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }
    public void setFileContent(String fileContent) 
    {
        this.fileContent = fileContent;
    }

    public String getFileContent() 
    {
        return fileContent;
    }
    public void setIdentity(String identity) 
    {
        this.identity = identity;
    }

    public String getIdentity() 
    {
        return identity;
    }
    public void setTax(String tax) 
    {
        this.tax = tax;
    }

    public String getTax() 
    {
        return tax;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fileId", getFileId())
            .append("fileName", getFileName())
            .append("fileContent", getFileContent())
            .append("createTime", getCreateTime())
            .append("identity", getIdentity())
            .append("tax", getTax())
            .toString();
    }
}
